variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task

before_script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl

sonarcloud-check:
  image: maven:3.6.3-jdk-11
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - mvn verify sonar:sonar -Dsonar.projectKey=leone.souza1_pm-equipamentos
  only:
    - merge_requests
    - master
    - main
    - develop

deploy:
    image: ruby:latest
    script:
        - dpl --provider=heroku --app=$HEROKU_APP --api-key=$HEROKU_API_KEY
    only:
        - main
